信息网络安全

关于WebLogic Server WLS组件存在远程命令执行漏洞的安全公告

近期,国家信息安全漏洞共享平台(CNVD)收录了WebLogic Server WLS 组件远程命令执行漏洞(CNVD-2017-31499,对应CVE-2017-10271)。远程攻击者利用该漏洞通过发送精心构造的 HTTP 请求,获取目标服务器的控制权限。近期,由于漏洞验证代码已公开,漏洞细节和验证利用代码疑似在小范围内传播,近期被不法分子利用出现大规模攻击尝试的可能性极大。

一、漏洞情况分析
Oracle WebLogic Server是美国甲骨文(Oracle)公司的一款适用于云环境和传统环境的应用服务器组件,它提供了一个现代轻型开发平台,支持应用从开发到生产的整个生命周期管理,并简化了应用的部署和管理。
2017年10月18日,Oracle官方发布了包括WebLogic Server WLS 组件远程命令执行漏洞的关于Weblogic Server的多个漏洞补丁,却未公开漏洞细节。近日,根据安恒信息安全团队提供的信息,漏洞引发的原因是Weblogic“wls-wsat”组件在反序列化操作时使用了Oracle官方的JDK组件中“XMLDecoder”类进行XML反序列化操作引发了代码执行,远程攻击者利用该漏洞通过发送精心构造好的HTTP XML数据包请求,直接在目标服务器执行Java代码或操作系统命令。近期可能会有其他使用了“XMLDecoder”类进行反序列化操作的程序爆发类似漏洞,需要及时关注,同时在安全开发方面应避免使用“XMLDecoder”类进行XML反序列化操作。CNVD对上述风险的综合评级为“高危”。

二、漏洞影响范围
OracleWebLogic Server10.3.6.0.0
OracleWebLogic Server12.1.3.0.0
OracleWebLogic Server12.2.1.1.0
OracleWebLogic Server12.2.1.2.0

三、漏洞修复建议
厂商已经发布了修复补丁,强烈建议及时更新: http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html

附:参考链接:
http://www.cnvd.org.cn/flaw/show/CNVD-2017-31499

 

分享到
快速通道